;InnoSetupVersion=3.0.1

[Setup]
AppName=NetSuperSonic
AppVerName=NetSuperSonic 2.51
AppId=NetSuperSonic
AppPublisher=NetSuperSonic
AppPublisherURL=http://www.netsupersonic.com
AppSupportURL=http://www.netsupersonic.com/help
AppUpdatesURL=http://www.netsupersonic.com
DefaultDirName={pf}\NetSuperSonic
DefaultGroupName=NetSuperSonic
OutputBaseFilename=setup
Compression=bzip2
PrivilegesRequired=none
LicenseFile=embedded\License.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\NetSuperSonic.exe"; DestDir: "{app}"; 
Source: "{app}\NetSuperSonic.locked"; DestDir: "{app}"; 
Source: "{app}\NetSuperSonic.sw"; DestDir: "{app}"; 
Source: "{app}\ReadMe.txt"; DestDir: "{app}"; 
Source: "{sys}\stdole2.tlb"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regtypelib sharedfile 
Source: "{sys}\msvbvm60.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\oleaut32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\olepro32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\asycfilt.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace sharedfile 
Source: "{sys}\comcat.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 

[INI]
FileName: "{app}\NetSuperSonic.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.netsupersonic.com/help"; 

[Run]
Filename: "{app}\NetSuperSonic.exe"; Description: "Launch NetSuperSonic"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\NetSuperSonic"; Filename: "{app}\NetSuperSonic.exe"; 
Name: "{group}\Online Help"; Filename: "{app}\NetSuperSonic.url"; 
Name: "{group}\ReadMe"; Filename: "{app}\ReadMe.txt"; 
Name: "{group}\Uninstall NetSuperSonic"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\NetSuperSonic"; Filename: "{app}\NetSuperSonic.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\NetSuperSonic.url"; 
